﻿VERSION 2.0
REVNUM 7004
LISTING FOR PART CCT_CUSTOM_CONNECTOR_4

INPUT
END INPUT

RELATIONS
D267 = W/4
D271 = 2*D267
D268 = H/4
D272 = D268*2
NAMING = BUW_NAME
DESIGNATION = BUW_TYPE + " " + BUW_SIZE
END RELATIONS


 ADD FEATURE (initial number 1)
 INTERNAL FEATURE ID  1


 DATUM PLANE

  NO.     ELEMENT NAME    INFO                                                  
  ---     -------------   -------------                                         
   1      Feature Name    Defined                                               
   2      Constraints     Defined                                               
   2.1    Constraint #1   Defined                                               
   2.1.1  Constr Type     X Axis                                                
   3      Flip Datum Dir  Defined                                               
   4      Fit             Defined                                               
   4.1    Fit Type        Default                                               

 NAME = YZ


    FEATURE'S ENTITIES AND GEOMETRY ARE IN LAYER(S):

    Datum plane surface YZ, model CCT_CUSTOM_CONNECTOR_4.
      00_PROFIL_DATUM - OPERATION = HIDDEN

 END ADD


 ADD FEATURE (initial number 2)
 INTERNAL FEATURE ID  4


 DATUM PLANE

  NO.     ELEMENT NAME    INFO                                                  
  ---     -------------   -------------                                         
   1      Feature Name    Defined                                               
   2      Constraints     Defined                                               
   2.1    Constraint #1   Defined                                               
   2.1.1  Constr Type     Y Axis                                                
   3      Flip Datum Dir  Defined                                               
   4      Fit             Defined                                               
   4.1    Fit Type        Default                                               

 NAME = XZ


    FEATURE'S ENTITIES AND GEOMETRY ARE IN LAYER(S):

    Datum plane surface XZ, model CCT_CUSTOM_CONNECTOR_4.
      00_PROFIL_DATUM - OPERATION = HIDDEN

 END ADD


 ADD FEATURE (initial number 3)
 INTERNAL FEATURE ID  6


 DATUM PLANE

  NO.     ELEMENT NAME    INFO                                                  
  ---     -------------   -------------                                         
   1      Feature Name    Defined                                               
   2      Constraints     Defined                                               
   2.1    Constraint #1   Defined                                               
   2.1.1  Constr Type     Z Axis                                                
   3      Flip Datum Dir  Defined                                               
   4      Fit             Defined                                               
   4.1    Fit Type        Default                                               

 NAME = XY


    FEATURE'S ENTITIES AND GEOMETRY ARE IN LAYER(S):

    Datum plane surface XY, model CCT_CUSTOM_CONNECTOR_4.
      00_PROFIL_DATUM - OPERATION = HIDDEN

 END ADD


 ADD FEATURE (initial number 4)
 INTERNAL FEATURE ID  14
 TYPE = COORDINATE SYSTEM
 NAME = CS0


    FEATURE IS IN LAYER(S) :
      00_PROFIL_DATUM - OPERATION = HIDDEN

 END ADD


 ADD FEATURE (initial number 5)
 INTERNAL FEATURE ID  4428
 PARENTS = 1(#1) 4(#2) 6(#3) 


 PROTRUSION: Extrude

  NO.     ELEMENT NAME       INFO                                               
  ---     -------------      -------------                                      
   1      Feature Name       Defined                                            
   2      Extrude Feat type  Solid                                              
   3      Material           Add                                                
   4      Section            Defined                                            
   4.1    Setup Plane        Defined                                            
   4.1.1  Sketching Plane    XY:F3(DATUM PLANE) ID=7                            
   4.1.2  View Direction     Side 1                                             
   4.1.3  Orientation        Top                                                
   4.1.4  Reference          XZ:F2(DATUM PLANE) ID=5                            
   4.2    Sketch             Defined                                            
   5      Feature Form       Solid                                              
   6      Direction          Side 2                                             
   7      Depth              Defined                                            
   7.1    Side One           Defined                                            
   7.1.1  Side One Depth     None                                               
   7.2    Side Two           Defined                                            
   7.2.1  Side Two Depth     Variable                                           
   7.2.2  Value              20.00                                              

 SECTION NAME = Section 1 


 FEATURE'S DIMENSIONS:
 H = (Displayed:) 200 General_Dims
     (   Stored:) 200.0 ( 0.5, -0.5 ) 
 W = (Displayed:) 100 General_Dims
     (   Stored:) 100.0 ( 0.3, -0.3 ) 
 T = (Displayed:) 20 General_Dims
     (   Stored:) 20.0 ( 0.2, -0.2 ) 
 END ADD


 ADD FEATURE (initial number 6)
 INTERNAL FEATURE ID  4574
 PARENTS = 4428(#5) 


 DATUM PLANE

  NO.     ELEMENT NAME       INFO                                               
  ---     -------------      -------------                                      
   1      Feature Name       Defined                                            
   2      Constraints        Defined                                            
   2.1    Constraint #1      Defined                                            
   2.1.1  Constr Type        Offset                                             
   2.1.2  Constr References  Surface NC_SURF of feat #5 (PROTRUSION)            
   2.1.3  Constr Ref Offset  Value = 0.0000                                     
   3      Flip Datum Dir     Defined                                            
   4      Fit                Defined                                            
   4.1    Fit Type           Default                                            

 NAME = JOINT_PLANE


 FEATURE'S DIMENSIONS:
 d266 = (Displayed:) 0 General_Dims
        (   Stored:) 0.0 ( 0.1, -0.1 ) 
 END ADD


 ADD FEATURE (initial number 7)
 INTERNAL FEATURE ID  4576
 PARENTS = 1(#1) 4(#2) 6(#3) 


 DATUM POINT

  NO.         ELEMENT NAME                 INFO                                 
  ---         -------------                -------------                        
   1          Feature Name                 Defined                              
   2          Points Array                 Defined                              
   2.1        Point 0                      Defined                              
   2.1.1      Point Name                   REF_POINT                            
   2.1.2      Placement Constraints Array  Defined                              
   2.1.2.1    Placement Constraint 0       Defined                              
   2.1.2.1.1  Reference                    YZ:F1(DATUM PLANE) ID=2              
   2.1.2.1.2  Constraint Type              On                                   
   2.1.2.2    Placement Constraint 1       Defined                              
   2.1.2.2.1  Reference                    XZ:F2(DATUM PLANE) ID=5              
   2.1.2.2.2  Constraint Type              On                                   
   2.1.2.3    Placement Constraint 2       Defined                              
   2.1.2.3.1  Reference                    XY:F3(DATUM PLANE) ID=7              
   2.1.2.3.2  Constraint Type              On                                   
   2.1.3      Dimension Constraints Array  Defined                              

 NAME = REF_POINT


 END ADD


 ADD FEATURE (initial number 8)
 INTERNAL FEATURE ID  4582

 NO. ELEMENT NAME    INFO                                            STATUS
 --- ------------ -----------                                        ------
  1  Type         Dimension                                          Defined   
  2  Regen Method General                                            Defined   
  3  1st Dir Dime                                                    Defined   
  4  1st Dir Inst 2,                                                 Defined   
  5  2nd Dir Dime                                                    Defined   
  6  2nd Dir Inst 2,                                                 Defined   

 LEADER OF A (2 X 2) DIM GENERAL PATTERN


 MAIN PATTERN DIMENSIONS:
 INCREMENTAL PATTERN DIMENSIONS:
 d267 = (Displayed:) 25 General_Dims
        (   Stored:) 25.0 ( 0.2, -0.2 ) 
 d268 = (Displayed:) 50 General_Dims
        (   Stored:) 50.0 ( 0.3, -0.3 ) 
 d271 = (Displayed:) 50 General_Dims
        (   Stored:) -50.0 ( 0.3, -0.3 ) 
 d272 = (Displayed:) 100 General_Dims
        (   Stored:) -100.0 ( 0.3, -0.3 ) 
 END ADD


 ADD FEATURE (initial number 9)
 INTERNAL FEATURE ID  4578
 PARENTS = 1(#1) 4(#2) 4428(#5) 


 DATUM AXIS

  NO.     ELEMENT NAME       INFO                                               
  ---     -------------      -------------                                      
   1      Feature Name       Defined                                            
   2      Constraints        Defined                                            
   2.1    Constraint #1      Defined                                            
   2.1.1  Type               Normal                                             
   2.1.2  Reference          WELD_SURF:F5(PROTRUSION) ID=4431                   
   3      Dim Constraints    Defined                                            
   3.1    Dim Constraint #1  Defined                                            
   3.1.1  Reference          YZ:F1(DATUM PLANE) ID=2                            
   3.1.2  Value              25.0000                                            
   3.2    Dim Constraint #2  Defined                                            
   3.2.1  Reference          XZ:F2(DATUM PLANE) ID=5                            
   3.2.2  Value              50.0000                                            
   4      Fit                Defined                                            
   4.1    Fit Type           Default                                            

 NAME = A_1
 MEMBER (1, 1) IN A (2 X 2) DIM GENERAL PATTERN


 MAIN PATTERN DIMENSIONS:
 INCREMENTAL PATTERN DIMENSIONS:
 d267 = (Displayed:) 25 General_Dims
        (   Stored:) 25.0 ( 0.2, -0.2 ) 
 d268 = (Displayed:) 50 General_Dims
        (   Stored:) 50.0 ( 0.3, -0.3 ) 
 d271 = (Displayed:) 50 General_Dims
        (   Stored:) -50.0 ( 0.3, -0.3 ) 
 d272 = (Displayed:) 100 General_Dims
        (   Stored:) -100.0 ( 0.3, -0.3 ) 
 END ADD


 ADD FEATURE (initial number 10)
 INTERNAL FEATURE ID  4583
 PARENTS = 1(#1) 4(#2) 4428(#5) 4578(#9) 


 DATUM AXIS

  NO.     ELEMENT NAME       INFO                                               
  ---     -------------      -------------                                      
   1      Feature Name       Defined                                            
   2      Constraints        Defined                                            
   2.1    Constraint #1      Defined                                            
   2.1.1  Type               Normal                                             
   2.1.2  Reference          WELD_SURF:F5(PROTRUSION) ID=4431                   
   3      Dim Constraints    Defined                                            
   3.1    Dim Constraint #1  Defined                                            
   3.1.1  Reference          YZ:F1(DATUM PLANE) ID=2                            
   3.1.2  Value              -25.0000                                           
   3.2    Dim Constraint #2  Defined                                            
   3.2.1  Reference          XZ:F2(DATUM PLANE) ID=5                            
   3.2.2  Value              50.0000                                            
   4      Fit                Defined                                            
   4.1    Fit Type           Default                                            

 NAME = A_2
 MEMBER (2, 1) IN A (2 X 2) DIM GENERAL PATTERN


 MAIN PATTERN DIMENSIONS:
 INCREMENTAL PATTERN DIMENSIONS:
 d267 = (Displayed:) 25 General_Dims
        (   Stored:) 25.0 ( 0.2, -0.2 ) 
 d268 = (Displayed:) 50 General_Dims
        (   Stored:) 50.0 ( 0.3, -0.3 ) 
 d271 = (Displayed:) 50 General_Dims
        (   Stored:) -50.0 ( 0.3, -0.3 ) 
 d272 = (Displayed:) 100 General_Dims
        (   Stored:) -100.0 ( 0.3, -0.3 ) 
 END ADD


 ADD FEATURE (initial number 11)
 INTERNAL FEATURE ID  4584
 PARENTS = 1(#1) 4(#2) 4428(#5) 4578(#9) 


 DATUM AXIS

  NO.     ELEMENT NAME       INFO                                               
  ---     -------------      -------------                                      
   1      Feature Name       Defined                                            
   2      Constraints        Defined                                            
   2.1    Constraint #1      Defined                                            
   2.1.1  Type               Normal                                             
   2.1.2  Reference          WELD_SURF:F5(PROTRUSION) ID=4431                   
   3      Dim Constraints    Defined                                            
   3.1    Dim Constraint #1  Defined                                            
   3.1.1  Reference          YZ:F1(DATUM PLANE) ID=2                            
   3.1.2  Value              25.0000                                            
   3.2    Dim Constraint #2  Defined                                            
   3.2.1  Reference          XZ:F2(DATUM PLANE) ID=5                            
   3.2.2  Value              -50.0000                                           
   4      Fit                Defined                                            
   4.1    Fit Type           Default                                            

 NAME = A_3
 MEMBER (1, 2) IN A (2 X 2) DIM GENERAL PATTERN


 MAIN PATTERN DIMENSIONS:
 INCREMENTAL PATTERN DIMENSIONS:
 d267 = (Displayed:) 25 General_Dims
        (   Stored:) 25.0 ( 0.2, -0.2 ) 
 d268 = (Displayed:) 50 General_Dims
        (   Stored:) 50.0 ( 0.3, -0.3 ) 
 d271 = (Displayed:) 50 General_Dims
        (   Stored:) -50.0 ( 0.3, -0.3 ) 
 d272 = (Displayed:) 100 General_Dims
        (   Stored:) -100.0 ( 0.3, -0.3 ) 
 END ADD


 ADD FEATURE (initial number 12)
 INTERNAL FEATURE ID  4585
 PARENTS = 1(#1) 4(#2) 4428(#5) 4578(#9) 


 DATUM AXIS

  NO.     ELEMENT NAME       INFO                                               
  ---     -------------      -------------                                      
   1      Feature Name       Defined                                            
   2      Constraints        Defined                                            
   2.1    Constraint #1      Defined                                            
   2.1.1  Type               Normal                                             
   2.1.2  Reference          WELD_SURF:F5(PROTRUSION) ID=4431                   
   3      Dim Constraints    Defined                                            
   3.1    Dim Constraint #1  Defined                                            
   3.1.1  Reference          YZ:F1(DATUM PLANE) ID=2                            
   3.1.2  Value              -25.0000                                           
   3.2    Dim Constraint #2  Defined                                            
   3.2.1  Reference          XZ:F2(DATUM PLANE) ID=5                            
   3.2.2  Value              -50.0000                                           
   4      Fit                Defined                                            
   4.1    Fit Type           Default                                            

 NAME = A_4
 MEMBER (2, 2) IN A (2 X 2) DIM GENERAL PATTERN


 MAIN PATTERN DIMENSIONS:
 INCREMENTAL PATTERN DIMENSIONS:
 d267 = (Displayed:) 25 General_Dims
        (   Stored:) 25.0 ( 0.2, -0.2 ) 
 d268 = (Displayed:) 50 General_Dims
        (   Stored:) 50.0 ( 0.3, -0.3 ) 
 d271 = (Displayed:) 50 General_Dims
        (   Stored:) -50.0 ( 0.3, -0.3 ) 
 d272 = (Displayed:) 100 General_Dims
        (   Stored:) -100.0 ( 0.3, -0.3 ) 
 END ADD


 ADD FEATURE (initial number 13)
 INTERNAL FEATURE ID  5212
 PARENTS = 4582(#8) 

 NO. ELEMENT NAME    INFO                                            STATUS
 --- ------------ -----------                                        ------
  1  Type         Reference                                          Defined   

 LEADER OF A (2 X 2) REF GENERAL PATTERN


 MAIN PATTERN DIMENSIONS:
 HOLE_DM = (Displayed:) 18 General_Dims Dia
           (   Stored:) 18.0 ( 0.2, -0.2 ) 
 END ADD


 ADD FEATURE (initial number 14)
 INTERNAL FEATURE ID  4595
 PARENTS = 4428(#5) 4578(#9) 


 HOLE

  NO.       ELEMENT NAME       INFO                                             
  ---       -------------      -------------                                    
   1        Hole               Defined                                          
   1.1      Hole Type          Straight hole                                    
   1.2      Hole Make          Regular                                          
   1.3      Diameter           18.00                                            
   1.4      Depth              Defined                                          
   1.4.1    Side One           Defined                                          
   1.4.1.1  Side One Depth     To Reference                                     
   1.4.1.2  Reference          NC_SURF:F5(PROTRUSION) ID=4436                   
   1.4.2    Side Two           Defined                                          
   1.4.2.1  Side Two Depth     None                                             
   1.5      Flip               Side 1                                           
   2        Placement          Defined                                          
   2.1      Primary Reference  A_1:F9(DATUM AXIS) ID=4581                       
   2.2      Placement Type     Coaxial                                          
   2.3      Placement Plane    WELD_SURF:F5(PROTRUSION) ID=4431                 
   3        Feature Name       Defined                                          

 PLACEMENT = COAXIAL
 MEMBER (1, 1) IN A (2 X 2) REF GENERAL PATTERN


 MAIN PATTERN DIMENSIONS:
 HOLE_DM = (Displayed:) 18 General_Dims Dia
           (   Stored:) 18.0 ( 0.2, -0.2 ) 
 END ADD


 ADD FEATURE (initial number 15)
 INTERNAL FEATURE ID  5213
 PARENTS = 4428(#5) 4578(#9) 4595(#14) 


 HOLE

  NO.       ELEMENT NAME       INFO                                             
  ---       -------------      -------------                                    
   1        Hole               Defined                                          
   1.1      Hole Type          Straight hole                                    
   1.2      Hole Make          Regular                                          
   1.3      Diameter           18.00                                            
   1.4      Depth              Defined                                          
   1.4.1    Side One           Defined                                          
   1.4.1.1  Side One Depth     To Reference                                     
   1.4.1.2  Reference          NC_SURF:F5(PROTRUSION) ID=4436                   
   1.4.2    Side Two           Defined                                          
   1.4.2.1  Side Two Depth     None                                             
   1.5      Flip               Side 1                                           
   2        Placement          Defined                                          
   2.1      Primary Reference  A_2:F10(DATUM AXIS) ID=4588                      
   2.2      Placement Type     Coaxial                                          
   2.3      Placement Plane    WELD_SURF:F5(PROTRUSION) ID=4431                 
   3        Feature Name       Defined                                          

 PLACEMENT = COAXIAL
 MEMBER (2, 1) IN A (2 X 2) REF GENERAL PATTERN


 MAIN PATTERN DIMENSIONS:
 HOLE_DM = (Displayed:) 18 General_Dims Dia
           (   Stored:) 18.0 ( 0.2, -0.2 ) 
 END ADD


 ADD FEATURE (initial number 16)
 INTERNAL FEATURE ID  5214
 PARENTS = 4428(#5) 4578(#9) 4595(#14) 


 HOLE

  NO.       ELEMENT NAME       INFO                                             
  ---       -------------      -------------                                    
   1        Hole               Defined                                          
   1.1      Hole Type          Straight hole                                    
   1.2      Hole Make          Regular                                          
   1.3      Diameter           18.00                                            
   1.4      Depth              Defined                                          
   1.4.1    Side One           Defined                                          
   1.4.1.1  Side One Depth     To Reference                                     
   1.4.1.2  Reference          NC_SURF:F5(PROTRUSION) ID=4436                   
   1.4.2    Side Two           Defined                                          
   1.4.2.1  Side Two Depth     None                                             
   1.5      Flip               Side 1                                           
   2        Placement          Defined                                          
   2.1      Primary Reference  A_3:F11(DATUM AXIS) ID=4591                      
   2.2      Placement Type     Coaxial                                          
   2.3      Placement Plane    WELD_SURF:F5(PROTRUSION) ID=4431                 
   3        Feature Name       Defined                                          

 PLACEMENT = COAXIAL
 MEMBER (1, 2) IN A (2 X 2) REF GENERAL PATTERN


 MAIN PATTERN DIMENSIONS:
 HOLE_DM = (Displayed:) 18 General_Dims Dia
           (   Stored:) 18.0 ( 0.2, -0.2 ) 
 END ADD


 ADD FEATURE (initial number 17)
 INTERNAL FEATURE ID  5215
 PARENTS = 4428(#5) 4578(#9) 4595(#14) 


 HOLE

  NO.       ELEMENT NAME       INFO                                             
  ---       -------------      -------------                                    
   1        Hole               Defined                                          
   1.1      Hole Type          Straight hole                                    
   1.2      Hole Make          Regular                                          
   1.3      Diameter           18.00                                            
   1.4      Depth              Defined                                          
   1.4.1    Side One           Defined                                          
   1.4.1.1  Side One Depth     To Reference                                     
   1.4.1.2  Reference          NC_SURF:F5(PROTRUSION) ID=4436                   
   1.4.2    Side Two           Defined                                          
   1.4.2.1  Side Two Depth     None                                             
   1.5      Flip               Side 1                                           
   2        Placement          Defined                                          
   2.1      Primary Reference  A_4:F12(DATUM AXIS) ID=4594                      
   2.2      Placement Type     Coaxial                                          
   2.3      Placement Plane    WELD_SURF:F5(PROTRUSION) ID=4431                 
   3        Feature Name       Defined                                          

 PLACEMENT = COAXIAL
 MEMBER (2, 2) IN A (2 X 2) REF GENERAL PATTERN


 MAIN PATTERN DIMENSIONS:
 HOLE_DM = (Displayed:) 18 General_Dims Dia
           (   Stored:) 18.0 ( 0.2, -0.2 ) 
 END ADD

 IF (WITH_ROUNDS == 1)

     ADD FEATURE (initial number 18)
     INTERNAL FEATURE ID  5294
     PARENTS = 4428(#5) 


 ROUND: General

  NO.           ELEMENT NAME      INFO                                          
  ---           -------------     -------------                                 
   1            Feature Name      Defined                                       
   2            Sets              1 Set                                         
   2.1          Set 0             Defined                                       
   2.1.1        Shape options     Constant			                                   
   2.1.2        Conic             Defined                                       
   2.1.2.1      Conic Type        Plain                                         
   2.1.3        References			     Defined                                       
   2.1.3.1      Reference type    Edge Chain			                                 
   2.1.3.2      Curve Collection  4 Selections                                  
   2.1.4        Spine             Defined                                       
   2.1.4.1      Ball/Spine        Rolling Ball			                               
   2.1.5        Extend Surfaces   Disable			                                    
   2.1.6        Radii			  	       1 Points                                      
   2.1.6.1      Rad 0			  	       Defined                                       
   2.1.6.1.1    D1                Defined                                       
   2.1.6.1.1.1  Distance type     Enter Value			                                
   2.1.6.1.1.2  Distance value    10.00                                         
   2.1.7        Pieces            4 of 4 Included, 0 Trimmed, 0 Extended        
   3            Attach type       Make Solid		                                  
   4            Transitions       Defined                                       



     FEATURE'S DIMENSIONS:
     d503 = (Displayed:) 10 General_DimsR
            (   Stored:) 10.0 ( 0.2, -0.2 ) 
     END ADD
 END IF

MASSPROP
END MASSPROP

